Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.gen
Class EPPMapFactory

    java.lang.Object
      com.verisign.epp.codec.gen.EPPMapFactory

Direct Known Subclasses:
  EPPBalanceMapFactory, EPPContactMapFactory, EPPDefRegMapFactory, EPPDomainMapFactory, EPPEmailFwdMapFactory, EPPHostMapFactory, EPPIdnTableMapFactory, EPPLowBalancePollMapFactory, EPPNameWatchMapFactory, EPPRegistryMapFactory, EPPRgpPollMapFactory, EPPSuggestionMapFactory, EPPTestGenMapFactory, EPPWhoWasMapFactory

    public abstract class EPPMapFactory

extends java.lang.Object

Represents an abstract class, used by `EPPFactory`, and extended by concrete EPP Command Mappings for the creation of concrte `EPPCommand` and `EPPResponse` instances from a command extension XML element. Each `EPPMapFactory` is associated with an XML namespace, and is delegated the responsibility by `EPPFactory` of creating concrete `EPPCommand` and `EPPResponse` objects.
For example, the Domain Command Mapping has an XML namespace of "urn:iana:xmlns:domain" and has a concrete `EPPMapFactory` named `EPPDomainMapFactory` that will create all of the domain package objects.

Version:
  $Revision: 1.3 $
Author:
  $Author: jim $
See Also:
  `EPPFactory`

Field Summary
`static java.lang.String` | `EPP_CHECK` Command type constant associated with the <ping> command.
`static java.lang.String` | `EPP_CREATE` Command type constant associated with the <create> command.
`static java.lang.String` | `EPP_DELETE` Command type constant associated with the <delete> command.
`static java.lang.String` | `EPP_INFO` Command type constant associated with the <info> command.
`static java.lang.String` | `EPP_LOGIN` Command type constant associated with the <login> command.
`static java.lang.String` | `EPP_LOGOUT` Command type constant associated with the <logout> command.
`static java.lang.String` | `EPP_RENEW` Command type constant associated with the <renew> command.
`static java.lang.String` | `EPP_TRANSFER` Command type constant associated with the <transfer> command.
`static java.lang.String` | `EPP_UPDATE` Command type constant associated with the <update> command.

Constructor Summary
`EPPMapFactory()`

Method Summary
`abstract EPPCommand` | `createCommand(org.w3c.dom.Element aMapElement)` Abstract method that creates a concrete `EPPCommand` from an XML element.
`abstract EPPResponse` | `createResponse(org.w3c.dom.Element aMapElement)` Abstract method that creates a concrete `EPPResponse` from an XML element.
`abstract EPPService` | `getService()` Abstract method that gets the service information associated with the concrete `EPPMapFactory`.
`java.util.Set` | `getXmlSchemas()` Gets the list of XML schemas that need to be pre-loaded into the XML Parser.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EPP_CREATE

    public static final java.lang.String EPP_CREATE

  Command type constant associated with the <create> command.

  See Also:
    Constant Field Values

### EPP_DELETE

    public static final java.lang.String EPP_DELETE

  Command type constant associated with the <delete> command.

  See Also:
    Constant Field Values

### EPP_INFO

    public static final java.lang.String EPP_INFO

  Command type constant associated with the <info> command.

  See Also:
    Constant Field Values

### EPP_LOGIN

    public static final java.lang.String EPP_LOGIN

  Command type constant associated with the <login> command.

  See Also:
    Constant Field Values

### EPP_LOGOUT

    public static final java.lang.String EPP_LOGOUT

  Command type constant associated with the <logout> command.

  See Also:
    Constant Field Values

### EPP_CHECK

    public static final java.lang.String EPP_CHECK

  Command type constant associated with the <ping> command.

  See Also:
    Constant Field Values

### EPP_RENEW

    public static final java.lang.String EPP_RENEW

  Command type constant associated with the <renew> command.

  See Also:
    Constant Field Values

### EPP_TRANSFER

    public static final java.lang.String EPP_TRANSFER

  Command type constant associated with the <transfer> command.

  See Also:
    Constant Field Values

### EPP_UPDATE

    public static final java.lang.String EPP_UPDATE

  Command type constant associated with the <update> command.

  See Also:
    Constant Field Values

Constructor Detail

### EPPMapFactory

    public EPPMapFactory()

Method Detail

### createCommand

    public abstract EPPCommand createCommand(org.w3c.dom.Element aMapElement)
                                      throws EPPCodecException

  Abstract method that creates a concrete `EPPCommand` from an XML element. For example, a `EPPDomainCreateCmd` will be created by `EPPDomainMapFactory` given the <domain:create> XML element.

  Parameters:
    `aMapElement` - command extension XML element. For example <domain:create>.
  Returns:
    Concrete `EPPCommand` associated with command extension XML element. For example, `EPPDomainCreateCmd`.
  Throws:
    `EPPCodecException` - Error creating the concrete `EPPCommand`

### createResponse

    public abstract EPPResponse createResponse(org.w3c.dom.Element aMapElement)
                                        throws EPPCodecException

  Abstract method that creates a concrete `EPPResponse` from an XML element. For example, a `EPPDomainInfoResp` will be created by `EPPDomainMapFactory` given the <domain:info-data> XML element.

  Parameters:
    `aMapElement` - command extension XML element. For example <domain:info-data>.
  Returns:
    Concrete `EPPResponse` associated with command extension XML element. For example, `EPPDomainInfoResp`.
  Throws:
    `EPPCodecException` - Error creating the concrete `EPPResponse`

### getService

    public abstract EPPService getService()

  Abstract method that gets the service information associated with the concrete `EPPMapFactory`. The service information is used by `EPPFactory` for extracting the XML namespace associated with the service.

  Returns:
    service description associated with the concret `EPPMapFactory`.

### getXmlSchemas

    public java.util.Set getXmlSchemas()

  Gets the list of XML schemas that need to be pre-loaded into the XML Parser.

  Returns:
    `Set` of `String` XML Schema names that should be pre-loaded in the XML Parser. Defaults to returning `null` to indicate that no XML schemas need to be loaded.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.